<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("commen" . "t" => base64_decode("Y29tbWVud" . "A=="), "_2e799a34c" . "c60c12ca87" . "6d27b573a1" . "1eb" => base64_decode("IG" . "Fk" . "ZG" . "Vk"), "_4e7af63a0a4c1eafe5742f795b" . "98e323" => base64_decode("TmV3cyBjb21tZW50ICM" . "="), "_d50d529d5739d103bc48e65a4b513" . "fe3" => base64_decode("Q29tbWVudEFkZGVkRXZl" . "bnRSZWNlaXZlcg=="), "_191a9c694701" . "b5e98f9b02b73" . "105f5cf" => base64_decode("Q29tbWVudERlb" . "GV0ZWRFdmVudF" . "JlY2VpdmVy"), "_d3c72043" . "723006b65" . "9492f087d" . "df1fdf" => base64_decode("bmV3c" . "w=="), "_e8d7d52" . "7b284cad" . "d317dfbd" . "b10b34e4" . "e" => base64_decode("Q29tbWVudFVwZGF0ZWRFdmVudFJlY2VpdmV" . "y"));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d50d529d5739" . "d103bc48e65a4" . "b513fe3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_191a9c694701b5e98f9b" . "02b73105f5cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e8d7d527b2" . "84cadd317df" . "bdb10b34e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_d3c72043723006b659" . "492f087ddf1fdf"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["comme" . "nt"], $comment->object_id, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4e7af63a0a4c1eafe5742f" . "795b98e323"] . $comment->id . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2e799a34cc60c12ca876d27" . "b573a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}